select 
    100.00 * sum(
        case when p_type like 'PROMO%' 
        then l_extendedprice * (1 - l_discount/10000) else 0 end
    ) / sum(l_extendedprice * (1 - l_discount/10000)) as promo_revenue 
from 
    LINEITEM, PART 
where 
    l_partkey = p_partkey and 
    l_shipdate >= 849394800 and 
    l_shipdate < 852073200;
