select 
    o_orderpriority, 
    count(*) as order_count 
from 
    ORDERS 
where 
    o_orderdate >= 788914800 and 
    o_orderdate < 796687200 and 
    exists (
        select * from LINEITEM where l_orderkey = o_orderkey and l_commitdate < l_receiptdate
    ) 
group by o_orderpriority order by o_orderpriority;
